%Delaunay_special_plot.m, by Daniel Lyons (March 2014)
%Performs the following functions in the following order:
%(1)Triangulation of points with x,y,z coordinates.
%(2)performs delaunay triangulation with Delaunay2_5D function to obtain
%triangles (the indicies of each triangle are the rows of t).
%(3)Calculates the number of triangles inside boundary, on boundary, and
%outside boundary with tri_calc function.
%(4)Converts boundary triangles into inside boundary triangles with
%polydraw function.
%(5)Plots the triangulated surface with trisurf (in 1st octant)

function Delaunay_special_plot(x,y,z,my_face_alpha)

global c lambda;

uboundp = zeros(length(x),3);
uboundp(:,1) = x;
uboundp(:,2) = y;
uboundp(:,3) = z;
%create 3D triangulated surface
[t]=Delaunay2_5D(uboundp);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%get indices of triangles inside boundary box and outside
cut_val = 1.5;
[tri_inside,tri_boundary,tri_outside] = tri_calc(x,y,z,t,cut_val);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%redraw boundary triangles so they end at the boundary value "cut_val"
[tri_inside_new,tri_boundary_saved,x,y,z] = polydraw(x,y,z,tri_boundary,tri_inside,cut_val);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%method 2:trisurf plot
figure(gcf);
%h6=trisurf(t,uboundp(:,1),uboundp(:,2),uboundp(:,3),'facecolor','interp','edgecolor','none','edgelighting','phong','facelighting','phong');
h6=trisurf(tri_inside_new,x,y,z,'facecolor','interp','edgecolor','none','edgelighting','phong','facelighting','phong');
%set(h6,'facecolor',[230/255 230/255 250/255]);%lavender
%set(h6,'facecolor',[0 230/255 250/255]);%lavender

set(h6,'facecolor',[0 1 0]);%green
set(h6,'facealpha',0.25);
xlabel('x_1','fontsize',18);ylabel('x_2','fontsize',18);zlabel('x_3','fontsize',18);
title(['\lambda = ',num2str(lambda)],'fontsize',18);
set(gca,'fontsize',18);
hold on;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
