%curve_map_R2_R3.m, by Daniel Lyons (March 2014)
%maps a curve in the x1-x2 plane to the plane spanned by the vectors W1,W2
%in the x1-x2-x3 coordinate systems

function [x1_new,x2_new,x3_new] = curve_map_R2_R3(x1,x2,W1,W2,points)

%perform linear mapping of unit circle onto plane in R3 spanned by W1,W2
T = [W1 W2]; %transformation matrix

x1_new = zeros(1,points+1);
x2_new = zeros(1,points+1);
x3_new = zeros(1,points+1);
for ii=1:points+1
    x_mat = [x1(ii); x2(ii)];
    x1_new(ii) = T(1,:)*x_mat;
    x2_new(ii) = T(2,:)*x_mat;
    x3_new(ii) = T(3,:)*x_mat;
end

