%osc_check.m, by Daniel Lyons (March 2014)
%Checks for oscillations(1) or steady state(0) in time series stored in y
%if oscillations occur (osc=1), also returns x1_max_amp as a real number
%if steady state (osc=0), also returns x1_max_amp as NaN
function [osc,x1_max_amp,x1_min_amp] = osc_check(y)


norm_tol = 1.0e-2;

checks = 10;

ts_points = length(y);

rand_index = ts_points*rand(checks,1)+0.5;
rand_index = round(rand_index);

rand_values = y(rand_index);

diff_array = abs(diff(rand_values));

%calculate number of large difference between randomly chosen elements
diff_num = sum(diff_array>norm_tol);

if diff_num > 0
    osc = 1;
else
    osc = 0;
end

x1_max_amp = max(y);
x1_min_amp = min(y);